# AUTOGENERATED! DO NOT EDIT! File to edit: ../../../pts/api/utils/03_wrangle.pct.py.

# %% auto 0
__all__ = ['df_to_tsv', 'df_to_clipboard']

# %% ../../../pts/api/utils/03_wrangle.pct.py 3
import pandas as pd

# %% ../../../pts/api/utils/03_wrangle.pct.py 5
def df_to_tsv(df: pd.DataFrame, include_index: bool = False) -> str:
    """
    Converts a DataFrame to a tab-separated string.
    Useful for copying to Excel or Google Sheets.
    """
    return df.to_csv(sep='\t', index=include_index)

# %% ../../../pts/api/utils/03_wrangle.pct.py 8
def df_to_clipboard(df: pd.DataFrame, include_index: bool = False):
    """
    Converts a DataFrame to a tab-separated string and copies it to the clipboard,
    so it can be pasted directly into Google Sheets or Excel.
    
    Args:
        df (pd.DataFrame): The DataFrame to copy.
        include_index (bool): Whether to include the index in the output.
    """
    import pyperclip
    pyperclip.copy(df_to_tsv(df, include_index))
